/*  Gtk+ User Interface Builder
 *  Copyright (C) 1998  Damon Chaplin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __GLADE_NEWCOMP_DIALOG_H__
#define __GLADE_NEWCOMP_DIALOG_H__

#include <gdk/gdk.h>

#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus */

struct _GladeNewComponentDialogClass {
  GtkDialogClass parent_class;
};

struct _GladeNewComponentDialog {
  GtkDialog dialog;
  GtkWidget * button_box;
  GtkWidget * ok_button;
  GtkWidget * cancel_button;
  GtkWidget * parent_class_option;
  GtkWidget * component_name_entry;
  GtkWidget * class_menu;
  gchar * current_class;
};

typedef struct _GladeNewComponentDialogClass GladeNewComponentDialogClass;
typedef struct _GladeNewComponentDialog GladeNewComponentDialog;

#define GLADE_NEW_COMPONENT_DIALOG(obj) \
  GTK_CHECK_CAST (obj, glade_new_component_dialog_get_type (), \
  GladeNewComponentDialog)
#define GLADE_NEW_COMPONENT_DIALOG_CLASS(klass) \
  GTK_CHECK_CLASS_CAST (klass, glade_new_component_dialog_get_type (), \
  GladeNewComponentDialogClass)
#define GLADE_IS_NEW_COMPONENT_DIALOG(obj) \
  GTK_CHECK_TYPE (obj, glade_new_component_dialog_get_type ())

extern guint glade_new_component_dialog_get_type (void);

extern GtkWidget * glade_new_component_dialog_new (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	/* __GLADE_NEWCOMP_DIALOG_H__ */
