/*  Gtk+ User Interface Builder
 *  Copyright (C) 1998  Damon Chaplin
 *
 *  Based on GtkRadioButton widget from GTK,
 *  Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __GLADE_PALETTE_BUTTON_H__
#define __GLADE_PALETTE_BUTTON_H__

#include <gtk/gtkfeatures.h>

#ifndef GTK_HAVE_FEATURES_1_1_4

#include <gdk/gdk.h>
#include <gtk/gtkradiobutton.h>


#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus */


#define GLADE_PALETTE_BUTTON(obj)          GTK_CHECK_CAST (obj, glade_palette_button_get_type (), GladePaletteButton)
#define GLADE_PALETTE_BUTTON_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, glade_palette_button_get_type (), GladePaletteButtonClass)
#define GLADE_IS_PALETTE_BUTTON(obj)       GTK_CHECK_TYPE (obj, glade_palette_button_get_type ())


typedef struct _GladePaletteButton       GladePaletteButton;
typedef struct _GladePaletteButtonClass  GladePaletteButtonClass;

struct _GladePaletteButton
{
  GtkRadioButton radio_button;
};

struct _GladePaletteButtonClass
{
  GtkRadioButtonClass parent_class;
};


guint      glade_palette_button_get_type       (void);
GtkWidget* glade_palette_button_new            (GSList      *group);
GtkWidget* glade_palette_button_new_with_label (GSList      *group,
						const gchar *label);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* GTK_HAVE_FEATURES_1_1_4 */

#endif /* __GLADE_PALETTE_BUTTON_H__ */
