/*  Gtk+ User Interface Builder
 *  Copyright (C) 1998-1999  Damon Chaplin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __GLADE_PROJECT_OPTIONS_H__
#define __GLADE_PROJECT_OPTIONS_H__

#include "glade_project.h"

#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus */

/*
 * GladeProjectOptions is a subclass of GtkWindow, used to set the project
 * options.
 */

#define GLADE_PROJECT_OPTIONS(obj)          GTK_CHECK_CAST (obj, glade_project_options_get_type (), GladeProjectOptions)
#define GLADE_PROJECT_OPTIONS_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, glade_project_options_get_type (), GladeProjectOptionsClass)
#define GLADE_IS_PROJECT_OPTIONS(obj)       GTK_CHECK_TYPE (obj, glade_project_options_get_type ())


typedef struct _GladeProjectOptions       GladeProjectOptions;
typedef struct _GladeProjectOptionsClass  GladeProjectOptionsClass;

struct _GladeProjectOptions
{
  GtkWindow window;

  /* This is the project whose options we are editing. */
  GladeProject *project;

  GtkWidget *name_entry;
  GtkWidget *xml_filename_entry;
  GtkWidget *directory_entry;
  GtkWidget *source_directory_entry;
  GtkWidget *pixmaps_directory_entry;

  GtkWidget *language_option_menu;

  /* Take this out until we support it. */
  /*GtkWidget *license_option_menu;*/

  GtkWidget *gettext_support_yes;
  GtkWidget *gettext_support_no;
  GtkWidget *use_widget_names_yes;
  GtkWidget *use_widget_names_no;
  GtkWidget *main_source_entry;
  GtkWidget *main_header_entry;
  GtkWidget *handler_source_entry;
  GtkWidget *handler_header_entry;

  GtkWidget *ok_button;
  GtkWidget *cancel_button;

  /* This is the file selection dialog we use for all file selections. */
  GtkWidget *filesel;
};


struct _GladeProjectOptionsClass
{
  GtkWindowClass parent_class;
};




guint      glade_project_options_get_type	(void);
GtkWidget* glade_project_options_new		(GladeProject *project);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GLADE_PROJECT_OPTIONS_H__ */
