/*  Gtk+ User Interface Builder
 *  Copyright (C) 1998  Damon Chaplin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __SOURCE_H__
#define __SOURCE_H__

#include "gbwidget.h"

#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus */


GladeStatusCode	source_write		(GladeProject		 *project);

void		source_add		(GbWidgetWriteSourceData *data,
					 gchar			 *fmt,
					 ...);
void		source_add_decl		(GbWidgetWriteSourceData *data,
					 gchar			 *fmt,
					 ...);
void		source_write_subcomponent_create (GtkWidget	 *component,
						  GbWidgetWriteSourceData *data);

/* This creates a valid C identifier from a given string (usually the name of
   a widget). The returned string should be freed when no longer needed. */
gchar*		source_create_valid_identifier (gchar		*name);

/* This creates a string literal to place into the source code, using the
   given text, and includes the quotation marks, e.g. "Hello World".
   If translatable is TRUE, it also uses the gettext macro,
   e.g. _("Hello World"). The returned string is only valid until the next
   call to the function (since the same buffer is used). */
gchar*		source_make_string	(gchar		*text,
					 gboolean	 translatable);

/* This outputs code to create a GtkPixmap widget with the given identifier,
   and using the given filename. It will try to look in the installed directory
   and in the source directory to find the pixmap. */
void		source_create_pixmap	(GbWidgetWriteSourceData * data,
					 gchar                   * identifier,
					 gchar                   * filename);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	/* __SOURCE_H__ */
